# OptimalEstimation.jl

These pages serve as the official documentation for the OptimalEstimation.jl Julia package.

The purpose of this package is to provide a home for the development and use of optimal estimation algorithms.

See the [Index](@ref main-index) for the complete list of documented functions and types.

## Manual Outline

This documentation is split into the following sections:

```@contents
Pages = [
    "getting-started/what-is-optimal-estimation.md",
    "getting-started/basic-example.md",
    "man/guide.md",
    "../examples/index.md",
    "man/contributing.md",
    "man/full-index.md",
]
Depth = 1
```

The [Background](@ref) provides an overview of the problem statement of optimal state estimation.

The [Package Guide](@ref) provides a tutorial to the full usage of the package, while [Examples](@ref examples) gives many sample workflows using a variety of optimal estimation filters and algorithms.

Instructions on how to contribute to the package are found in [Contributing](@ref), and docstrings for every element of the package is listed in the [Index](@ref main-index).
